import request from "@/utils/request"

// 保存基本信息
export const saveResumeBasicInfo = async (data) => {
  return request({
    url: '/app-api/menduner/system/person/resume/info/save',
    method: 'POST',
    data,
    custom: {
      openEncryption: true,
      showLoading: false,
      auth: true
    }
  })
}

// 保存培训经历
export const saveResumeTrainExp = async (data) => {
  return request({
    url: '/app-api/menduner/system/person/resume/train/exp/save',
    method: 'POST',
    data,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 删除培训经历
export const deleteResumeTrainExp = async (id) => {
  return request({
    url: '/app-api/menduner/system/person/resume/train/exp/remove?id=' + id,
    method: 'DELETE',
    custom: {
      auth: true,
      showLoading: false
    }
  })
}

// 获取培训经历
export const getResumeTrainExp = async () => {
  return request({
    url: '/app-api/menduner/system/person/resume/get/train/exp',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// // 获取-教育经历
export const getResumeEduExp = async () => {
  return request({
    url: '/app-api/menduner/system/person/resume/get/edu/exp',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 删除-教育经历
export const deleteResumeEduExp = async (id) => {
  return request({
    url: '/app-api/menduner/system/person/resume/edu/exp/remove?id=' + id,
    method: 'DELETE',
    custom: {
      auth: true,
      showLoading: false
    }
  })
}

// 保存-教育经历
export const saveResumeEduExp = async (data) => {
  return request({
    url: '/app-api/menduner/system/person/resume/edu/exp/save',
    method: 'POST',
    data,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 获取-工作经历
export const getResumeWorkExp = async () => {
  return request({
    url: '/app-api/menduner/system/person/resume/get/work/exp',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 删除-工作经历
export const deleteResumeWorkExp = async (id) => {
  return request({
    url: '/app-api/menduner/system/person/resume/work/exp/remove?id=' + id,
    method: 'DELETE',
    custom: {
      auth: true,
      showLoading: false
    }
  })
}

// 保存-工作经历
export const saveResumeWorkExp = async (data) => {
  return request({
    url: '/app-api/menduner/system/person/resume/work/exp/save',
    method: 'POST',
    data,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 获取-技能树形
export const getSkillTree = async () => {
  return request({
    url: '/app-api/menduner/system/skill/get/tree',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 获取-职业技能
export const getResumePersonSkill = async () => {
  return request({
    url: '/app-api/menduner/system/person/resume/get/person/skill',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 删除-职业技能
export const deleteResumePersonSkill = async (id) => {
  return request({
    url: '/app-api/menduner/system/person/resume/person/skill/remove?id=' + id,
    method: 'DELETE',
    custom: {
      auth: true,
      showLoading: false
    }
  })
}

// 保存-职业技能
export const saveResumePersonSkill = async (data) => {
  return request({
    url: '/app-api/menduner/system/person/resume/person/skill/save',
    method: 'POST',
    data,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 保存求职意向
export const saveResumeJobInterested = async (data) => {
  return request({
    url: '/app-api/menduner/system/person/resume/job/interested/save',
    method: 'POST',
    data,
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 删除求职意向
export const deleteResumeJobInterested = async (id) => {
  return request({
    url: '/app-api/menduner/system/person/resume/job/interested/remove?id=' + id,
    method: 'DELETE',
    custom: {
      auth: true,
      showLoading: false
    }
  })
}

// // 获取求职意向
export const getResumeJobInterested = async () => {
  return request({
    url: '/app-api/menduner/system/person/resume/get/job/interested',
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// // 根据专业名称模糊搜索
export const schoolMajorByName = async (params) => {
  return request({
    url: '/app-api/menduner/system/major/search/by/name',
    params,
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 根据学校名称模糊搜索
export const schoolSearchByName = async (params) => {
  return request({
    url: '/app-api/menduner/system/school/search/by/name',
    params,
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}

// 根据企业名称模糊搜索
export const enterpriseSearchByName = async (params) => {
  return request({
    url: '/app-api/menduner/system/enterprise/search/by/name',
    params,
    method: 'GET',
    custom: {
      showLoading: false,
      auth: true
    }
  })
}